using ThinkGeo.MapSuite.Core;

namespace ScaleBarAdornmentLayerSample
{
    public class CustomAdornmentLayer : AdornmentLayer
    {
        private readonly static GeoFont geoFont;
        private readonly static GeoBrush geoBrush;

        static CustomAdornmentLayer()
        {
            geoFont = new GeoFont("Arial", 11);
            geoBrush = new GeoSolidBrush(GeoColor.SimpleColors.Red);
        }

        protected override void DrawCore(GeoCanvas canvas, System.Collections.ObjectModel.Collection<SimpleCandidate> labelsInAllLayers)
        {
            base.DrawCore(canvas, labelsInAllLayers);
            PointShape worldCenter = canvas.CurrentWorldExtent.GetCenterPoint();
            canvas.DrawTextWithWorldCoordinate("CustomAdornmentLayer", geoFont, geoBrush, worldCenter.X, worldCenter.Y, DrawingLevel.LevelOne);
        }
    }
}